Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707534 - app-admin/lastpass-cli-1.3.3 : fails to build with -fno-common or gcc-10
Summary: app-admin/lastpass-cli-1.3.3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Göktürk Yüksek
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 21:29 UTC by Toralf Förster
Modified: 2020-05-06 00:35 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.61 KB, text/plain)
2020-01-30 21:29 UTC, Toralf Förster
Details
app-admin:lastpass-cli-1.3.3:20200130-212352.log (app-admin:lastpass-cli-1.3.3:20200130-212352.log,26.12 KB, text/plain)
2020-01-30 21:29 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,227.31 KB, text/plain)
2020-01-30 21:29 UTC, Toralf Förster
Details
environment (environment,114.98 KB, text/plain)
2020-01-30 21:29 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,21.21 KB, application/x-bzip)
2020-01-30 21:29 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.72 KB, application/x-bzip)
2020-01-30 21:29 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,28.93 KB, application/x-bzip)
2020-01-30 21:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 21:29:08 UTC
/usr/bin/x86_64-pc-linux-gnu-gcc -D_GNU_SOURCE -I/usr/include/libxml2   -DNDEBUG -O2 -pipe -march=native -fno-common   -std=gnu99 -pedantic -Wall -Wextra -Wno-language-extension-token -std=gnu99 -o CMakeFiles/lpass.dir/xml.c.o -c /var/tmp/portage/app-admin/lastpass-cli-1.3.3/work/lastpass-cli-1.3.3/xml.c
[100%] Linking C executable lpass
/usr/bin/cmake -E cmake_link_script CMakeFiles/lpass.dir/link.txt --verbose=1
/usr/bin/x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -rdynamic CMakeFiles/lpass.dir/agent.c.o CMakeFiles/lpass.dir/blob.c.o CMakeFiles/lpass.dir/cipher.c.o CMakeFiles/lpass.dir/clipboard.c.o CMakeFiles/lpass.dir/cmd-add.c.o CMakeFiles/lpass.dir/cmd-duplicate.c.o CMakeFiles/lpass.dir/cmd-edit.c.o CMakeFiles/lpass.dir/cmd-export.c.o CMakeFiles/lpass.dir/cmd-generate.c.o CMakeFiles/lpass.dir/cmd-import.c.o CMakeFiles/lpass.dir/cmd-login.c.o CMakeFiles/lpass.dir/cmd-logout.c.o CMakeFiles/lpass.dir/cmd-ls.c.o CMakeFiles/lpass.dir/cmd-mv.c.o CMakeFiles/lpass.dir/cmd-passwd.c.o CMakeFiles/lpass.dir/cmd-rm.c.o CMakeFiles/lpass.dir/cmd-share.c.o CMakeFiles/lpass.dir/cmd-show.c.o CMakeFiles/lpass.dir/cmd-status.c.o CMakeFiles/lpass.dir/cmd-sync.c.o CMakeFiles/lpass.dir/cmd.c.o CMakeFiles/lpass.dir/config.c.o CMakeFiles/lpass.dir/edit.c.o CMakeFiles/lpass.dir/endpoints-login.c.o CMakeFiles/lpass.dir/endpoints-share.c.o CMakeFiles/lpass.dir/endpoints.c.o CMakeFiles/lpass.dir/format.c.o CMakeFiles/lpass.dir/http.c.o CMakeFiles/lpass.dir/json-format.c.o CMakeFiles/lpass.dir/kdf.c.o CMakeFiles/lpass.dir/log.c.o CMakeFiles/lpass.dir/lpass.c.o CMakeFiles/lpass.dir/notes.c.o CMakeFiles/lpass.dir/password.c.o CMakeFiles/lpass.dir/pbkdf2.c.o CMakeFiles/lpass.dir/process.c.o CMakeFiles/lpass.dir/session.c.o CMakeFiles/lpass.dir/terminal.c.o CMakeFiles/lpass.dir/upload-queue.c.o CMakeFiles/lpass.dir/util.c.o CMakeFiles/lpass.dir/xml.c.o  -o lpass  -lxml2 -lssl -lcrypto -lcurl 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/lpass.dir/cmd-login.c.o:(.bss+0x0): multiple definition of `ARGV'; CMakeFiles/lpass.dir/agent.c.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/lpass.dir/cmd-login.c.o:(.bss+0x8): multiple definition of `ARGC'; CMakeFiles/lpass.dir/agent.c.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 20:30:52 +0000

emerge -qpvO app-admin/lastpass-cli
[ebuild  N    ] app-admin/lastpass-cli-1.3.3  USE="libressl pinentry -X -test"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 21:29:10 UTC
Created attachment 609456 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 21:29:13 UTC
Created attachment 609458 [details]
app-admin:lastpass-cli-1.3.3:20200130-212352.log
Comment 3 Toralf Förster gentoo-dev 2020-01-30 21:29:16 UTC
Created attachment 609460 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-30 21:29:19 UTC
Created attachment 609462 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-30 21:29:22 UTC
Created attachment 609464 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 21:29:24 UTC
Created attachment 609466 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-30 21:29:27 UTC
Created attachment 609468 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-05-06 00:35:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32bba57937d6a7b5d37fcc18b33b4c80e1e3e6b4

commit 32bba57937d6a7b5d37fcc18b33b4c80e1e3e6b4
Author:     Göktürk Yüksek <gokturk@gentoo.org>
AuthorDate: 2020-05-06 00:34:11 +0000
Commit:     Göktürk Yüksek <gokturk@gentoo.org>
CommitDate: 2020-05-06 00:34:11 +0000

    app-admin/lastpass-cli: fix building with -fno-common
    
    Closes: https://bugs.gentoo.org/707534
    Package-Manager: Portage-2.3.69, Repoman-2.3.14
    Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>

 .../files/lastpass-cli-1.3.3-gcc10-fix.patch       | 82 ++++++++++++++++++++++
 app-admin/lastpass-cli/lastpass-cli-1.3.3.ebuild   |  6 +-
 2 files changed, 87 insertions(+), 1 deletion(-)